### Method

# Gtk Window fullscreen_on_monitor

#### Declaration [src]

    void
    gtk_window_fullscreen_on_monitor (
      GtkWindow* window,
      GdkMonitor* monitor
    )

#### Description [src]

Asks to place `window` in the fullscreen state on the given `monitor`.

Note that you shouldn’t assume the window is definitely fullscreen afterward, or that the windowing system allows fullscreen windows on any given monitor.

You can track the result of this operation via the `GdkToplevel:state` property, or by listening to notifications of the `GtkWindow:fullscreened` property.

#### Parameters

`monitor`

  Type: `GdkMonitor`

  Which monitor to go fullscreen on.

  The data is owned by the caller of the method.